Update Category Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}"
payload = {
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Binoculars',
Description: 'Best Binoculars',
SeoPath: 'binoculars',
SeoMetaDescription: 'Best Binoculars',
SeoTitleTag: 'Best Binoculars',
SeoMetaKeywords: 'Best, Binoculars'
})
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}category
Update Category Description
Update a description for a specific category
PATCH
/
categories
/
{categoryId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Update Category Description
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales channel that the descriptions belong to.
The iso code of the language that the descriptions belong to.
Body
application/json
The category to update.
Response
Was this page helpful?
⌘I